### Method

# Gsk Transform rotate_3d

#### Declaration [src]

    GskTransform*
    gsk_transform_rotate_3d (
      GskTransform* next,
      float angle,
      const graphene_vec3_t* axis
    )

#### Description [src]

Rotates `next` `angle` degrees around `axis`.

For a rotation in 2D space, use `gsk_transform_rotate()`.

#### Parameters

`angle`

  Type: `float`

  The rotation angle, in degrees (clockwise).

`axis`

  Type: `graphene_vec3_t`

  The rotation axis.

  The data is owned by the caller of the method.

#### Return value

Type: `GskTransform`

The new transform.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.